สอบถามยอดเงิน (ชิลี)
ประมาณ 1 นาที
ยอดเงินบัญชีร้านค้าในชิลี (CLP) แบบเรียลไทม์
Request
Request Path:
sandbox:
https://sandbox-gateway.smilepayz.com/v2.0/inquiry-balance
production:https://gateway.smilepayz.com/v2.0/inquiry-balance
Header Parameters
| Field | Required | Type | Description |
|---|---|---|---|
Content-Type | M | String | application/json |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
X-SIGNATURE | M | String | Request signature; Signature Generation. |
X-PARTNER-ID | M | String | merchantID (alphanumeric). |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
accountNo | M | String(128) | Account to query; max 128 chars. |
balanceTypes | M | List(String) | e.g. ["BALANCE"]; types to return. |
หมายเหตุ
Sandbox:
accountNoเป็นค่าทดสอบที่สร้างให้
Production: ดึงจากระบบหลังบ้านของร้านค้า; ดู How to Get Production Account Number
บัญชีรับ/จ่าย และการโอนยอด: ดู Account Transfer Guide
Example Body – Balance Inquiry Request:
Content-type: application/json
X-TIMESTAMP: 2020-12-18T15:06:00-03:00
X-SIGNATURE: 85be817c55b2c135157c7e89f52499bf0c25ad6eeebe04a986e8c862561b19a5
X-PARTNER-ID: 20001
{
"accountNo": "21320030202403071031",
"balanceTypes": [
"BALANCE"
]
}
Responses
HTTP Request
| Field | Required | Type | Description |
|---|---|---|---|
Content-Type | M | String | application/json |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
code | M | String | 00 = success; other codes = error. |
message | M | String | Result text (UTF-8). |
accountInfos | M | Object | balanceType, amount, availableBalance. |
balanceType | M | String | e.g. BALANCE. |
amount | M | Object | Total balance: currency + string value. |
currency | M | String | CLP. |
value | M | String | Balance as string (whole CLP pesos, e.g. "250000"). |
availableBalance | M | Object | Available balance; same shape as amount. |
currency | M | String | CLP. |
value | M | String | Available as string. |
accountNo | O | String | Echo accountNo when present. |
name | O | String | Account display name. |
balanceTypes | O | Array | Echo of requested types. |
additionalInfo | O | Object | Extra metadata when returned. |
Example Body – Balance Inquiry Response:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00-03:00
{
"code": "00",
"message": "Successful",
"accountNo": "21320030202403071031",
"name": "Sandbox Test",
"balanceTypes": [
"BALANCE"
],
"accountInfos": {
"balanceType": "BALANCE",
"amount": {
"currency": "CLP",
"value": "250000"
},
"availableBalance": {
"currency": "CLP",
"value": "250000"
}
}
}
